package com.hhh.cloud.framework.example.auth.model;

import com.hhh.cloud.framework.megrez.utils.model.UserJwt;
import org.springframework.beans.BeanUtils;

import java.util.List;

public class UserDemo extends UserJwt {

    public List<String> projectIds;

    public UserDemo() {
        super();
    }
    public UserDemo(UserJwt userJwt) {
        BeanUtils.copyProperties(userJwt, this);
    }

    public List<String> getProjectIds() {
        return projectIds;
    }

    public void setProjectIds(List<String> projectIds) {
        this.projectIds = projectIds;
    }
}
